﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using BookstoreSpy.Classes;

namespace BookstoreSpy
{
    public partial class MultiThreadedResults : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                IShopsExplorer explorer =
                    Session["Explorer"] as IShopsExplorer;
                if (explorer != null)
                {
                    // ho recuperato un MultiThreadedShopsExplorer in sessione.
                    // verifico lo stato
                    if (!explorer.IsCompleted)
                    {
                        // mostro il messaggio di attesa
                        mvResults.ActiveViewIndex = 0;

                        // imposto il refresh automatico della pagina tra 2 secondi
                        this.Response.Write("<meta http-equiv=\"refresh\" content=\"2\">");
                    }
                    else
                    { 
                        // il lavoro è terminato, mostro i risultati
                        mvResults.ActiveViewIndex = 1;

                        lblTime.Text = string.Format("Inizio: {0:T} - Fine: {1:T} - Totale: {2}",
                            explorer.StartTime, 
                            explorer.EndTime,
                            explorer.EndTime.Subtract(explorer.StartTime));

                        gridResults.DataSource = explorer.Results;
                        gridResults.DataBind();
                    }
                }
            }
        }
    }
}
